Skip to content
Guides
Payments & FinanceSellers
settings:read

Get seller by ID

Returns one seller with its legal, billing, catalog, shipping, fulfillment, and profile settings.

GET/v1/sellers/{id}

Returns one seller with its legal, billing, catalog, shipping, fulfillment, and profile settings.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/sellers/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "countryCode": "PE",  "currencyCode": "PEN",  "commissionPercent": 1,  "isInternal": false,  "catalogSettings": {    "publicationEnabled": false,    "productApprovalPolicy": "manualReview",    "promotionsEnabled": false  },  "shippingSettings": {    "shippingEnabled": false,    "shippingProfilesEnabled": false,    "fulfillmentMode": "marketplaceFulfilled",    "rateManagementMode": "marketplaceRates",    "allowedShippingMethods": [      "regular"    ],    "maxTransitDays": 1,    "minShippingRate": 1,    "maxShippingRate": 1  },  "legalInfo": {    "isVerified": false,    "isComplete": false,    "taxId": "7204558912004325301",    "businessLicense": "example",    "legalName": "Example resource",    "legalAddress": "example",    "contactPerson": "example",    "contactEmail": "andrea@example.com"  },  "billingInfo": {    "isComplete": false,    "accountHolder": "example",    "documentNumber": "example",    "bankName": "Example resource",    "accountType": "example",    "accountNumber": "example",    "interbankAccountNumber": "example"  },  "profile": {    "hasMedia": false,    "hasSocialLinks": false,    "logo": "example",    "banner": "example",    "avatar": "example",    "backgroundImage": "example",    "website": "example",    "facebook": "example"  },  "fulfillment": {    "offersShipping": false,    "offersPickup": false,    "offersDigitalDelivery": false,    "offersInstallation": false,    "hasAnyOption": false  },  "rating": {    "averageRating": 1,    "totalReviews": 1,    "fiveStars": 1,    "fourStars": 1,    "threeStars": 1,    "twoStars": 1,    "oneStar": 1,    "hasReviews": false  },  "status": "active",  "createdOn": "2026-08-01T15:30:00Z"}